libfreehand::FHCollector Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libfreehand::FHCollector Class Reference

`#include <FHCollector.h>`

## Public Member Functions
| FHCollector (::librevenge::RVNGDrawingInterface *painter, const FHPageInfo &pageInfo)
virtual | ~FHCollector ()
void | collectUString (unsigned recordId, const std::vector< unsigned short > &ustr)
void | collectMName (unsigned recordId, const librevenge::RVNGString &name)
void | collectPath (unsigned recordId, unsigned short graphicStyle, unsigned short layer, unsigned short xform, const FHPath &path, bool evenodd)
void | collectXform (unsigned recordId, double m11, double m21, double m12, double m22, double m13, double m23)
void | collectOffsetX (double)
void | collectOffsetY (double)
void | collectPageWidth (double)
void | collectPageHeight (double)

## Private Member Functions
| FHCollector (const FHCollector &)
FHCollector & | operator= (const FHCollector &)
void | _normalizePath (FHPath &path)

## Private Attributes
librevenge::RVNGDrawingInterface * | m_painter
const FHPageInfo & | m_pageInfo
std::map< unsigned, FHTransform > | m_transforms

## Constructor & Destructor Documentation

libfreehand::FHCollector::FHCollector | ( | ::librevenge::RVNGDrawingInterface * | painter,
|  | const FHPageInfo & | pageInfo
| ) |  |

libfreehand::FHCollector::~FHCollector | ( |  | ) |
| virtual

libfreehand::FHCollector::FHCollector | ( | const FHCollector & |  | ) |
| private

## Member Function Documentation

void libfreehand::FHCollector::_normalizePath | ( | libfreehand::FHPath & | path | ) |
| private

void libfreehand::FHCollector::collectMName | ( | unsigned | recordId,
|  | const librevenge::RVNGString & | name
| ) |  |

Referenced by libfreehand::FHParser::readMName().

void libfreehand::FHCollector::collectOffsetX | ( | double |  | ) |
| inline

void libfreehand::FHCollector::collectOffsetY | ( | double |  | ) |
| inline

void libfreehand::FHCollector::collectPageHeight | ( | double |  | ) |
| inline

void libfreehand::FHCollector::collectPageWidth | ( | double |  | ) |
| inline

void libfreehand::FHCollector::collectPath | ( | unsigned | recordId,
|  | unsigned short | graphicStyle,
|  | unsigned short | layer,
|  | unsigned short | xform,
|  | const FHPath & | path,
|  | bool | evenodd
| ) |  |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHCollector::collectUString | ( | unsigned | recordId,
|  | const std::vector< unsigned short > & | ustr
| ) |  |

Referenced by libfreehand::FHParser::readUString().

void libfreehand::FHCollector::collectXform | ( | unsigned | recordId,
|  | double | m11,
|  | double | m21,
|  | double | m12,
|  | double | m22,
|  | double | m13,
|  | double | m23
| ) |  |

Referenced by libfreehand::FHParser::readXform().

FHCollector& libfreehand::FHCollector::operator= | ( | const FHCollector & |  | ) |
| private

## Member Data Documentation

const FHPageInfo& libfreehand::FHCollector::m_pageInfo
| private

librevenge::RVNGDrawingInterface* libfreehand::FHCollector::m_painter
| private

Referenced by ~FHCollector().

std::map<unsigned, FHTransform> libfreehand::FHCollector::m_transforms
| private

The documentation for this class was generated from the following files:

- FHCollector.h
- FHCollector.cpp